summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xtools/update-copyright.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/tools/update-copyright.sh b/tools/update-copyright.sh
index 8f924f53c..6cebcd564 100755
--- a/tools/update-copyright.sh
+++ b/tools/update-copyright.sh
@@ -1,18 +1,19 @@
#!/bin/bash
# Copyright (C) 2001-2010 Wormux Team.
# Copyright (C) 2010 The ManaWorld Development Team.
+# Copyright (C) 2012 The ManaPlus Developers.
new_year="$1"
[[ -z $new_year ]] && echo "Missing parameter: year" && exit 1
-[[ ! -e src ]] && echo "This script should be ran from the top mana/manaserv dir" && exit 2
+[[ ! -e src ]] && echo "This script should be ran from the top manaplus dir" && exit 2
tmp_file="w$RANDOM$RANDOM$RANDOM$RANDOM"
[[ -e $tmp_file ]] && tmp_file="w$RANDOM$RANDOM$RANDOM$RANDOM"
# update the dates, creating the interval if it doesn't exist yet
find -iname "*.cpp" -or -iname "*.h" -or -iname "*.hpp" |
- xargs sed -i "/Copyright.*The Mana World Development Team/ s,\(20[0-9]*\) \|\(20[0-9]*\)-20[0-9]* ,\1\2-$new_year ,"
+ xargs sed -i "/Copyright.*The ManaPlus Developers/ s,\(20[0-9]*\) \|\(20[0-9]*\)-20[0-9]* ,\1\2-$new_year ,"
# do a semi-automated commit check
git diff > $tmp_file